Issue 15243

Summary: Importing csv/text in text format does not mark cells as text
Product: Calc Reporter: ohallot <olivier.hallot.ooo>
Component: open-importAssignee: bettina.haberer
Status: CLOSED DUPLICATE QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P4 CC: issues
Version: OOo 1.1 Beta2Keywords: oooqa, rfe_eval_ok, third_party_support, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description ohallot 2003-06-03 14:20:14 UTC
We used OO to read and edit some OO gsi translations. This file is our example
and is in UTF-8

To do so, we must import the text files (tab separated text) into calc. We use
the text import filter upon opening the gsi.txt files. We mark all imports as
'text' in the combo box in the import dialog.

So far so good, text is OK.

However the imported cells have format 'Number- General' and not TEXT (@).

If I import text as text, I expect the cell format to bet TEXT.

The way it is, text strings CAN BE MODIFIED by Calc parser, when the cell is
edited. This has caused some trouble with cells that contains reserved words,
such as TRUE, FALSE, = , numbers in general, because they are not formated as
text due to the bug. 

The same behavior was observed in previous OO releases.

Regards,
Olivier
Comment 1 frank 2003-06-03 16:11:52 UTC
Hi Olivier,

the imported data is for sure formated as text. But the underlying
cell is not. This is a feature, that makes it easy to enter numbers
into a cell which former contained text. 

As you can see (in the Edir line), in front of all numbers and TRUE /
FALSE statements are placed apostrophe's. They act as formatting signs
indicating this cell content is text.

Nevertheless, I've assigned it to our feature guys for further evaluation.

Thanks

Frank
Comment 2 frank 2003-06-03 16:12:29 UTC
Hi Bettina,

one for you.

Frank
Comment 3 ohallot 2003-06-09 11:43:42 UTC
Well, a bizzare "feature". Intuitivelly I would think the opposite,
and it may be even safer for the newbie.

The opposite means: Import Text into text-formatted cells, and warn
user that it will be so if necessary with "do not show me this warning
anymore" checkbox. If user wants to give another mean to the cells
contents, he can mark cells and make his choice.

I think it is safer because the parser will not try to modify cells
content, so no surprises.

Regards
Olivier
Comment 4 lbc 2004-03-30 21:53:56 UTC
Could the importer prepend an apostrophe to the imported data iff the column was
marked as text and the data are numeric?

I suspect that this is the root cause of issue 27188.  However, 27188 is a Bug,
not an Enhancement.
Comment 5 erwin.tenhumberg 2004-11-04 13:27:32 UTC
This is a duplicate of issue 15274:

"... The formats set for the text file columns in the CSV import dialog should
be carried over into the actual spreadsheet document (e.g. a date should stay a
date and a text should stay a text)"



*** This issue has been marked as a duplicate of 15274 ***
Comment 6 philhibbs 2004-11-25 11:42:57 UTC
I think this should be a tick box in the import dialog, "Format text columns as Text".
Comment 7 ace_dent 2008-05-17 21:36:01 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 ace_dent 2008-05-17 23:39:18 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew